std::function::swap(3)

NAME
std::function::swap - std::function::swap

Synopsis
   void swap( function& other ) noexcept; (since C++11)
   Exchanges the stored callable objects of *this and other.

Parameters
   other - function wrapper to exchange the stored callable object with

Return value
   (none)

See also
   swap swaps the targets of two std::move_only_function objects
   (C++23) (public member function of std::move_only_function)